Workflows
Trigger Workflow via Webhook
Trigger a webhook-type workflow via its secret token.
The request body (JSON, if any) is passed as the trigger context. Returns 404 if no matching enabled workflow is found for the token.
POST
/
api
/
v1
/
workflow-webhooks
/
{token}
Workflow Webhook Trigger
curl --request POST \
--url https://api.example.com/api/v1/workflow-webhooks/{token}import requests
url = "https://api.example.com/api/v1/workflow-webhooks/{token}"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v1/workflow-webhooks/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Response
Successful Response
The response is of type Response Workflow Webhook Trigger Api V1 Workflow Webhooks Token Post · object.
⌘I
Workflow Webhook Trigger
